Namespace
library
Image / Tag
consul:1.7.0-beta4
Content Digest
sha256:900fd81ffefb455da313fe817f3b25b3e5ad52361931419905e50e7eccec859f
Details
Created

2020-01-31 22:38:38 UTC

Size

43.8 MB

Content Digest
Environment
CONSUL_VERSION

1.7.0-beta4

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:fd25584d30bfc37afa2d99f41ef0a7055a4f2923907582dd992194fb4aa13f1c - 6.03% (2.64 MB)

[#001] sha256:080621f716299221807ec649b56a140c8ffad6bb226853773523a29adb47dacf - 0.0% (1.23 KB)

[#002] sha256:2fccd49d45e53ffee24562dcd0901f373202d8dca5f3e2a0f5e802394f84c9c9 - 93.97% (41.2 MB)

[#003] sha256:2a83bad099f70e0d1fb9bd2fda194bd3471cb1cfb80db71e27003f1419a69ea9 - 0.0% (142 Bytes)

[#004] sha256:e8f7989a5596da37063a8f3a5f4b136ce8b0b7b44a8f5b425f60cf744b282e1b - 0.0% (153 Bytes)

[#005] sha256:f37d2c79116c89b23d2df1f05b097e4ed2dea11a169df0a2269c864f36d923c1 - 0.0% (1.67 KB)


History
2020-01-23 16:53:05 UTC

/bin/sh -c #(nop) ADD file:4e7195ad2b3e9b85e4596b4a73719eb294f2a293a05b7b8e6096c4cfac0c6fde in /

2020-01-23 16:53:05 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:57:03 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-01-31 22:38:27 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0-beta4

2020-01-31 22:38:28 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-01-31 22:38:28 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-01-31 22:38:35 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-01-31 22:38:35 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-01-31 22:38:36 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-01-31 22:38:36 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-01-31 22:38:37 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-01-31 22:38:37 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-01-31 22:38:37 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-01-31 22:38:37 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-01-31 22:38:37 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-01-31 22:38:38 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-01-31 23:19:35 UTC

Size

45 MB

Content Digest
Environment
CONSUL_VERSION

1.7.0-beta4

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9123ac7c32f74759e6283f04dbf571f18246abe5bb2c779efcb32cd50f3ff13c - 5.86% (2.64 MB)

[#001] sha256:f77cc790f8a9b4273fca8cd3b003605408dde840f98361196800f7c8857c46bf - 0.0% (1.23 KB)

[#002] sha256:df94a67b52339966c17daff08c562ad994018d7b79b0a7bc562b96e917c81efd - 94.13% (42.3 MB)

[#003] sha256:72fea92ab7ee172776960ce7400dc34ceaad167bb88cff1ddb6112e647ef8232 - 0.0% (142 Bytes)

[#004] sha256:9debabfb086216b88739a4edd0ba26c4e01a28a96226648e1184bdcec794dc9f - 0.0% (153 Bytes)

[#005] sha256:7abce35dafe4c62da122d5ae5680b2a9bedace8825ba68aa5d6bf269c2b0c226 - 0.0% (1.67 KB)


History
2020-01-23 16:53:17 UTC

/bin/sh -c #(nop) ADD file:f4f85ec73d7cc949662413419f8eafb31dabaa6e12cd21b7c8d5a9ef0d5b9681 in /

2020-01-23 16:53:17 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:15:11 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-01-31 23:19:26 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0-beta4

2020-01-31 23:19:26 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-01-31 23:19:27 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-01-31 23:19:32 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-01-31 23:19:33 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-01-31 23:19:33 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-01-31 23:19:34 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-01-31 23:19:34 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-01-31 23:19:34 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-01-31 23:19:34 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-01-31 23:19:34 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-01-31 23:19:35 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-01-31 23:19:35 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-01-31 22:49:42 UTC

Size

42.3 MB

Content Digest
Environment
CONSUL_VERSION

1.7.0-beta4

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:1c8737e28b1ca4452315b0127f7c6f4ad64f0c4695a3b52b1a4a3d2d17d3bbd5 - 5.74% (2.43 MB)

[#001] sha256:827c1f4f3426af92b3828bb3cb247d2b549dbdceaf85a895a57d03cad6a6b663 - 0.0% (1.25 KB)

[#002] sha256:e1b905f9797f8dc64eeadcba1653724f365eaaa65911045a2cf3a1ba030b583f - 94.25% (39.9 MB)

[#003] sha256:ea3f7b1c7f6424464de64480f984a2a8eb3b8f325ac8778193926f1540ffd6d2 - 0.0% (174 Bytes)

[#004] sha256:23a91e608e0c18df7f0c583c87bbe32adab2d6592ee52a8924e6b87041e308b6 - 0.0% (154 Bytes)

[#005] sha256:9b75b48eb1d1ec924cad7b017b428acdbaed8c93af95262e1b3e90501ad665b3 - 0.0% (1.67 KB)


History
2020-01-23 16:53:38 UTC

/bin/sh -c #(nop) ADD file:7e840db4b1f91900bcc3693359908c82f531fc44027d4d5327ef598e8710ed0f in /

2020-01-23 16:53:40 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:12:38 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-01-31 22:49:23 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0-beta4

2020-01-31 22:49:23 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-01-31 22:49:25 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-01-31 22:49:34 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-01-31 22:49:37 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-01-31 22:49:38 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-01-31 22:49:39 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-01-31 22:49:39 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-01-31 22:49:40 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-01-31 22:49:40 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-01-31 22:49:41 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-01-31 22:49:42 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-01-31 22:49:42 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-01-31 22:39:55 UTC

Size

40.5 MB

Content Digest
Environment
CONSUL_VERSION

1.7.0-beta4

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:eb93038481ddcf86a625b70f7551cdc583e38886f206fe7e40ad644008efa815 - 6.34% (2.57 MB)

[#001] sha256:d2e0b87f4dde77d6ba894841b8124c7d22a8d4a56d012b6de5d0b1696e5c544a - 0.0% (1.25 KB)

[#002] sha256:3addf18ebe5a4248b3d0d54aedae97ac9b2fc88b99340d4db82b602734ea6a4c - 93.65% (37.9 MB)

[#003] sha256:4708f0a836ea126809cefaec7171d9c759db5cc48bbe21a55831cab920c01b42 - 0.0% (174 Bytes)

[#004] sha256:a5181fafdce4054f5baf747efbd361e2c7ad60ee00c7074d56833f9047922948 - 0.0% (154 Bytes)

[#005] sha256:b31929d00574256334af3cfd6638e70c889857efef459933423ccdc27b3243b5 - 0.0% (1.67 KB)


History
2020-01-23 16:54:58 UTC

/bin/sh -c #(nop) ADD file:92767b5525acd9dbf8657931d32bdcc7cc504cdc33c95e84a75e478b00569bab in /

2020-01-23 16:54:59 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:19:49 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-01-31 22:39:38 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0-beta4

2020-01-31 22:39:38 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-01-31 22:39:40 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-01-31 22:39:48 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-01-31 22:39:50 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-01-31 22:39:51 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-01-31 22:39:52 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-01-31 22:39:52 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-01-31 22:39:53 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-01-31 22:39:53 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-01-31 22:39:54 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-01-31 22:39:54 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-01-31 22:39:55 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]